Ad Creative Scheduling API v4

Overview

The Ad Creative Scheduling API V4 allows users to view and modify scheduling information for creatives attached to placements' ads, including the ability to configure creative rotation.

Use the Ad Creative Scheduling API V4 to:

  • Get scheduling methods for creatives attached to placements' ads
  • Update scheduling information for creatives attached to placements' ads

Uniform Resource Identifiers (URI)

EnvironmentURI
Productionhttps://api.freewheel.tv/services/v4/ads/{ad_id}/scheduling
Staginghttps://api.stg.freewheel.tv/services/v4/ads/{ad_id}/scheduling

Attributes

The following attributes are used when updating an ad's creatives scheduling. For an interactive example, see Update an Ad's Creatives Scheduling.

Path Parameters

NameTypeDescription
ad_idFW_IDThe current network's assigned Ad Unit Node ID

Body Parameters

NameTypeDescriptionNotes
scheduling_methodstringThe scheduling method. The following options are supported EQUAL_WEIGHTING, PERCENTAGE_WEIGHTING, AB_TESTING, SEQUENCE, FLIGHTING, FLIGHTING_AND_WEIGHTING, AUDIENCE_TARGETING, or ADVANCED_FLIGHTING_AND_WEIGHTING

One selection is required.

Not all scheduling methods may be available based on your network functions and the number of schedulable creative instances the ad has

scheduling_setsobjectDetails of the scheduling sets

Required when scheduling method is AUDIENCE_TARGETING or ADVANCED_FLIGHTING_AND_WEIGHTING

When scheduling_method is AUDIENCE TARGETING, the order of the `schedulingset items defines the priority of each audience match if a request matches more than one audience item. The last scheduling_set in the array list should represent the default behavior that occurs when no audience match is made

scheduling_itemsobjectDetails of the scheduling itemsRequired when scheduling_method is EQUAL_WEIGHTING, PERCENTAGE_WEIGHTING, AB_TESTING, SEQUENCE, FLIGHTING, or FLIGHTING_AND_WEIGHTING

Scheduling_Set Object

When the scheduling_method is AUDIENCE_TARGETING, the order of the scheduling_set items defines the priority of each audience match if a request matches more than one audience item. The last scheduling_set in the array list should represent the default behavior that occurs when no audience match is made.

NameTypeDescriptionNotes
audience_item_idintegerID of Audience Item. Only valid when scheduling_method is AUDIENCE_TARGETING

Required for a custom scheduling_set.

Should not be duplicated for each custom scheduling_set

flighting_startdate-time (YYYY-MM-DD HH:MM:SS)The start date of the flighting period for the scheduling set, in UTCRequired and available only when scheduling_method is ADVANCED_FLIGHTING_AND_WEIGHTING
flighting_enddate-time (YYYY-MM-DD HH:MM:SS)The end date of the flighting period for the scheduling set, in UTCRequired and available only when scheduling_method is ADVANCED_FLIGHTING_AND_WEIGHTING.
scheduling_set_itemsarrayArray of scheduling set itemsAt least one item is required.

Scheduling_Set_Items Array

NameTypeDescriptionNotes
creative_idintegerFW Creative IDRequired
weighting_factorintegerPercentage of weightingOptional, available only when scheduling_method is ADVANCED_FLIGHTING_AND_WEIGHTING

Scheduling_Items Object

NameTypeDescriptionNotes
sequenceintegerRotation sequence, required when scheduling_method is SEQUENCE
flighting_startdate-time (YYYY-MM-DD HH:MM:SS UTC)The start date of the item in UTCRequired when scheduling_method is FLIGHTING or FLIGHTING_AND_WEIGHTING
flighting_enddate-time (YYYY-MM-DD HH:MM:SS UTC).The end date of the item in UTCRequired when scheduling_method is FLIGHTING or FLIGHTING_AND_WEIGHTING>
creative_idintegerThe FreeWheel creative IDRequired
weighting_factorintegerThe percentage of weightingRequired when scheduling_method is PERCENTAGE_WEIGHTING, AB_TESTING, or FLIGHTING_AND_WEIGHTING